<?php
$tdatatotal_ganador = array();
$tdatatotal_ganador[".searchableFields"] = array();
$tdatatotal_ganador[".ShortName"] = "total_ganador";
$tdatatotal_ganador[".OwnerID"] = "";
$tdatatotal_ganador[".OriginalTable"] = "total_ganador";


$tdatatotal_ganador[".pagesByType"] = my_json_decode( "{}" );
$tdatatotal_ganador[".originalPagesByType"] = $tdatatotal_ganador[".pagesByType"];
$tdatatotal_ganador[".pages"] = types2pages( my_json_decode( "{}" ) );
$tdatatotal_ganador[".originalPages"] = $tdatatotal_ganador[".pages"];
$tdatatotal_ganador[".defaultPages"] = my_json_decode( "{}" );
$tdatatotal_ganador[".originalDefaultPages"] = $tdatatotal_ganador[".defaultPages"];

//	field labels
$fieldLabelstotal_ganador = array();
$fieldToolTipstotal_ganador = array();
$pageTitlestotal_ganador = array();
$placeHolderstotal_ganador = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelstotal_ganador["Spanish"] = array();
	$fieldToolTipstotal_ganador["Spanish"] = array();
	$placeHolderstotal_ganador["Spanish"] = array();
	$pageTitlestotal_ganador["Spanish"] = array();
	$fieldLabelstotal_ganador["Spanish"]["apellido_materno"] = "Apellido Materno";
	$fieldToolTipstotal_ganador["Spanish"]["apellido_materno"] = "";
	$placeHolderstotal_ganador["Spanish"]["apellido_materno"] = "";
	$fieldLabelstotal_ganador["Spanish"]["apellido_paterno"] = "Apellido Paterno";
	$fieldToolTipstotal_ganador["Spanish"]["apellido_paterno"] = "";
	$placeHolderstotal_ganador["Spanish"]["apellido_paterno"] = "";
	$fieldLabelstotal_ganador["Spanish"]["ci"] = "Ci";
	$fieldToolTipstotal_ganador["Spanish"]["ci"] = "";
	$placeHolderstotal_ganador["Spanish"]["ci"] = "";
	$fieldLabelstotal_ganador["Spanish"]["complemento"] = "Complemento";
	$fieldToolTipstotal_ganador["Spanish"]["complemento"] = "";
	$placeHolderstotal_ganador["Spanish"]["complemento"] = "";
	$fieldLabelstotal_ganador["Spanish"]["nombres"] = "Nombres";
	$fieldToolTipstotal_ganador["Spanish"]["nombres"] = "";
	$placeHolderstotal_ganador["Spanish"]["nombres"] = "";
	$fieldLabelstotal_ganador["Spanish"]["procedencia"] = "Procedencia";
	$fieldToolTipstotal_ganador["Spanish"]["procedencia"] = "";
	$placeHolderstotal_ganador["Spanish"]["procedencia"] = "";
	$fieldLabelstotal_ganador["Spanish"]["telefono"] = "Telefono";
	$fieldToolTipstotal_ganador["Spanish"]["telefono"] = "";
	$placeHolderstotal_ganador["Spanish"]["telefono"] = "";
	if (count($fieldToolTipstotal_ganador["Spanish"]))
		$tdatatotal_ganador[".isUseToolTips"] = true;
}


	$tdatatotal_ganador[".NCSearch"] = true;



$tdatatotal_ganador[".shortTableName"] = "total_ganador";
$tdatatotal_ganador[".nSecOptions"] = 0;

$tdatatotal_ganador[".mainTableOwnerID"] = "";
$tdatatotal_ganador[".entityType"] = 0;
$tdatatotal_ganador[".connId"] = "bsn_dividendos_at_localhost";


$tdatatotal_ganador[".strOriginalTableName"] = "total_ganador";

	



$tdatatotal_ganador[".showAddInPopup"] = false;

$tdatatotal_ganador[".showEditInPopup"] = false;

$tdatatotal_ganador[".showViewInPopup"] = false;

$tdatatotal_ganador[".listAjax"] = false;
//	temporary
//$tdatatotal_ganador[".listAjax"] = false;

	$tdatatotal_ganador[".audit"] = false;

	$tdatatotal_ganador[".locking"] = false;


$pages = $tdatatotal_ganador[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatatotal_ganador[".edit"] = true;
	$tdatatotal_ganador[".afterEditAction"] = 1;
	$tdatatotal_ganador[".closePopupAfterEdit"] = 1;
	$tdatatotal_ganador[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatatotal_ganador[".add"] = true;
$tdatatotal_ganador[".afterAddAction"] = 1;
$tdatatotal_ganador[".closePopupAfterAdd"] = 1;
$tdatatotal_ganador[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatatotal_ganador[".list"] = true;
}



$tdatatotal_ganador[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatatotal_ganador[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatatotal_ganador[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatatotal_ganador[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatatotal_ganador[".printFriendly"] = true;
}



$tdatatotal_ganador[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatatotal_ganador[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatatotal_ganador[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatatotal_ganador[".isUseAjaxSuggest"] = true;



																																	

$tdatatotal_ganador[".ajaxCodeSnippetAdded"] = false;

$tdatatotal_ganador[".buttonsAdded"] = false;

$tdatatotal_ganador[".addPageEvents"] = false;

// use timepicker for search panel
$tdatatotal_ganador[".isUseTimeForSearch"] = false;


$tdatatotal_ganador[".badgeColor"] = "DC143C";


$tdatatotal_ganador[".allSearchFields"] = array();
$tdatatotal_ganador[".filterFields"] = array();
$tdatatotal_ganador[".requiredSearchFields"] = array();

$tdatatotal_ganador[".googleLikeFields"] = array();
$tdatatotal_ganador[".googleLikeFields"][] = "apellido_materno";
$tdatatotal_ganador[".googleLikeFields"][] = "apellido_paterno";
$tdatatotal_ganador[".googleLikeFields"][] = "ci";
$tdatatotal_ganador[".googleLikeFields"][] = "complemento";
$tdatatotal_ganador[".googleLikeFields"][] = "nombres";
$tdatatotal_ganador[".googleLikeFields"][] = "procedencia";
$tdatatotal_ganador[".googleLikeFields"][] = "telefono";



$tdatatotal_ganador[".tableType"] = "list";

$tdatatotal_ganador[".printerPageOrientation"] = 0;
$tdatatotal_ganador[".nPrinterPageScale"] = 100;

$tdatatotal_ganador[".nPrinterSplitRecords"] = 40;

$tdatatotal_ganador[".geocodingEnabled"] = false;










$tdatatotal_ganador[".pageSize"] = 20;

$tdatatotal_ganador[".warnLeavingPages"] = true;



$tstrOrderBy = "";
$tdatatotal_ganador[".strOrderBy"] = $tstrOrderBy;

$tdatatotal_ganador[".orderindexes"] = array();


$tdatatotal_ganador[".sqlHead"] = "SELECT apellido_materno,  	apellido_paterno,  	ci,  	complemento,  	nombres,  	procedencia,  	telefono";
$tdatatotal_ganador[".sqlFrom"] = "FROM total_ganador";
$tdatatotal_ganador[".sqlWhereExpr"] = "";
$tdatatotal_ganador[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatatotal_ganador[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatatotal_ganador[".arrGroupsPerPage"] = $arrGPP;

$tdatatotal_ganador[".highlightSearchResults"] = true;

$tableKeystotal_ganador = array();
$tdatatotal_ganador[".Keys"] = $tableKeystotal_ganador;


$tdatatotal_ganador[".hideMobileList"] = array();




//	apellido_materno
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "apellido_materno";
	$fdata["GoodName"] = "apellido_materno";
	$fdata["ownerTable"] = "total_ganador";
	$fdata["Label"] = GetFieldLabel("total_ganador","apellido_materno");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "apellido_materno";

		$fdata["sourceSingle"] = "apellido_materno";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "apellido_materno";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=250";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatotal_ganador["apellido_materno"] = $fdata;
		$tdatatotal_ganador[".searchableFields"][] = "apellido_materno";
//	apellido_paterno
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "apellido_paterno";
	$fdata["GoodName"] = "apellido_paterno";
	$fdata["ownerTable"] = "total_ganador";
	$fdata["Label"] = GetFieldLabel("total_ganador","apellido_paterno");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "apellido_paterno";

		$fdata["sourceSingle"] = "apellido_paterno";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "apellido_paterno";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=250";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatotal_ganador["apellido_paterno"] = $fdata;
		$tdatatotal_ganador[".searchableFields"][] = "apellido_paterno";
//	ci
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "ci";
	$fdata["GoodName"] = "ci";
	$fdata["ownerTable"] = "total_ganador";
	$fdata["Label"] = GetFieldLabel("total_ganador","ci");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "ci";

		$fdata["sourceSingle"] = "ci";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ci";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatotal_ganador["ci"] = $fdata;
		$tdatatotal_ganador[".searchableFields"][] = "ci";
//	complemento
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "complemento";
	$fdata["GoodName"] = "complemento";
	$fdata["ownerTable"] = "total_ganador";
	$fdata["Label"] = GetFieldLabel("total_ganador","complemento");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "complemento";

		$fdata["sourceSingle"] = "complemento";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "complemento";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatotal_ganador["complemento"] = $fdata;
		$tdatatotal_ganador[".searchableFields"][] = "complemento";
//	nombres
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "nombres";
	$fdata["GoodName"] = "nombres";
	$fdata["ownerTable"] = "total_ganador";
	$fdata["Label"] = GetFieldLabel("total_ganador","nombres");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "nombres";

		$fdata["sourceSingle"] = "nombres";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "nombres";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=250";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatotal_ganador["nombres"] = $fdata;
		$tdatatotal_ganador[".searchableFields"][] = "nombres";
//	procedencia
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "procedencia";
	$fdata["GoodName"] = "procedencia";
	$fdata["ownerTable"] = "total_ganador";
	$fdata["Label"] = GetFieldLabel("total_ganador","procedencia");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "procedencia";

		$fdata["sourceSingle"] = "procedencia";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "procedencia";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatotal_ganador["procedencia"] = $fdata;
		$tdatatotal_ganador[".searchableFields"][] = "procedencia";
//	telefono
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "telefono";
	$fdata["GoodName"] = "telefono";
	$fdata["ownerTable"] = "total_ganador";
	$fdata["Label"] = GetFieldLabel("total_ganador","telefono");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "telefono";

		$fdata["sourceSingle"] = "telefono";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "telefono";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatotal_ganador["telefono"] = $fdata;
		$tdatatotal_ganador[".searchableFields"][] = "telefono";


$tables_data["total_ganador"]=&$tdatatotal_ganador;
$field_labels["total_ganador"] = &$fieldLabelstotal_ganador;
$fieldToolTips["total_ganador"] = &$fieldToolTipstotal_ganador;
$placeHolders["total_ganador"] = &$placeHolderstotal_ganador;
$page_titles["total_ganador"] = &$pageTitlestotal_ganador;


changeTextControlsToDate( "total_ganador" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["total_ganador"] = array();
//endif

// tables which are master tables for current table (detail)
$masterTablesData["total_ganador"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_total_ganador()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "apellido_materno,  	apellido_paterno,  	ci,  	complemento,  	nombres,  	procedencia,  	telefono";
$proto0["m_strFrom"] = "FROM total_ganador";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "apellido_materno",
	"m_strTable" => "total_ganador",
	"m_srcTableName" => "total_ganador"
));

$proto6["m_sql"] = "apellido_materno";
$proto6["m_srcTableName"] = "total_ganador";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "apellido_paterno",
	"m_strTable" => "total_ganador",
	"m_srcTableName" => "total_ganador"
));

$proto8["m_sql"] = "apellido_paterno";
$proto8["m_srcTableName"] = "total_ganador";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "ci",
	"m_strTable" => "total_ganador",
	"m_srcTableName" => "total_ganador"
));

$proto10["m_sql"] = "ci";
$proto10["m_srcTableName"] = "total_ganador";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "complemento",
	"m_strTable" => "total_ganador",
	"m_srcTableName" => "total_ganador"
));

$proto12["m_sql"] = "complemento";
$proto12["m_srcTableName"] = "total_ganador";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "nombres",
	"m_strTable" => "total_ganador",
	"m_srcTableName" => "total_ganador"
));

$proto14["m_sql"] = "nombres";
$proto14["m_srcTableName"] = "total_ganador";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "procedencia",
	"m_strTable" => "total_ganador",
	"m_srcTableName" => "total_ganador"
));

$proto16["m_sql"] = "procedencia";
$proto16["m_srcTableName"] = "total_ganador";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "telefono",
	"m_strTable" => "total_ganador",
	"m_srcTableName" => "total_ganador"
));

$proto18["m_sql"] = "telefono";
$proto18["m_srcTableName"] = "total_ganador";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto20=array();
$proto20["m_link"] = "SQLL_MAIN";
			$proto21=array();
$proto21["m_strName"] = "total_ganador";
$proto21["m_srcTableName"] = "total_ganador";
$proto21["m_columns"] = array();
$proto21["m_columns"][] = "apellido_materno";
$proto21["m_columns"][] = "apellido_paterno";
$proto21["m_columns"][] = "ci";
$proto21["m_columns"][] = "complemento";
$proto21["m_columns"][] = "nombres";
$proto21["m_columns"][] = "procedencia";
$proto21["m_columns"][] = "telefono";
$obj = new SQLTable($proto21);

$proto20["m_table"] = $obj;
$proto20["m_sql"] = "total_ganador";
$proto20["m_alias"] = "";
$proto20["m_srcTableName"] = "total_ganador";
$proto22=array();
$proto22["m_sql"] = "";
$proto22["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto22["m_column"]=$obj;
$proto22["m_contained"] = array();
$proto22["m_strCase"] = "";
$proto22["m_havingmode"] = false;
$proto22["m_inBrackets"] = false;
$proto22["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto22);

$proto20["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto20);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="total_ganador";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_total_ganador = createSqlQuery_total_ganador();


	
		;

							

$tdatatotal_ganador[".sqlquery"] = $queryData_total_ganador;



$tdatatotal_ganador[".hasEvents"] = false;

?>